# MultipleIterator::attachIterator

(PHP 5 >= 5.3.0, PHP 7)

MultipleIterator::attachIterator — Attaches iterator information

### Description

public MultipleIterator::attachIterator ( Iterator `$iterator` [, string `$infos` ] ) : void

Attaches iterator information.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`iterator`

  The new iterator to attach.

`infos`

  The associative information for the Iterator, which must be an integer, a string, or `NULL`.

### Return Values

Description...

### Errors/Exceptions

An IllegalValueException if the `iterator` parameter is invalid, or if `infos` is already associated information.

### See Also

- MultipleIterator::__construct() - Constructs a new MultipleIterator